| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions
Tp::Callback0< R > Class Template Reference
Utililty classes

Callback with 0 arguments. More...

`#include <TelepathyQt/Callbacks>`

Inherits Tp::BaseCallback.

List of all members.

## Public Types

- typedef R(* FunctionType )()
- typedef R ResultType

## Public Member Functions

- Callback0 ()
- template<class Functor > Callback0 (const Functor &functor)
- ResultType operator() () const

## Detailed Description

### template<class R>
class Tp::Callback0< R >

Callback with 0 arguments.

See Callbacks Usage

## Member Typedef Documentation

template<class R >

typedef R(* Tp::Callback0< R >::FunctionType)()

template<class R >

typedef R Tp::Callback0< R >::ResultType

## Constructor & Destructor Documentation

template<class R >

Tp::Callback0< R >::Callback0 | ( |  | ) | `[inline]`

template<class R >
template<class Functor >

Tp::Callback0< R >::Callback0 | ( | const Functor & | functor | ) | `[inline]`

## Member Function Documentation

template<class R >

ResultType Tp::Callback0< R >::operator() | ( |  | ) | const`[inline]`